From 4a69a2cec1e369fff7d6cc2759dd30c974a5f89e Mon Sep 17 00:00:00 2001
From: Wen Gong <wgong@codeaurora.org>
Date: Fri, 13 Mar 2020 15:33:43 +0800
Subject: [PATCH 106/124] ath11k: add wmi op version indication for UTF

For QCA6390, its UTF test tool is inherited from QCA6174, it need to
get the wmi op version from ath11k/ath10k to select the correct logic
for UTF test.

Tested-on: QCA6390 WLAN.HST.1.0.1-01230-QCAHSTSWPLZ_V2_TO_X86-1

Change-Id: I62e733440412dc0d478c04981aa7e2d73cb91ec6
Signed-off-by: Wen Gong <wgong@codeaurora.org>
---
 drivers/net/wireless/ath/ath11k/testmode.c   | 7 +++++++
 drivers/net/wireless/ath/ath11k/testmode_i.h | 1 +
 2 files changed, 8 insertions(+)

diff --git a/drivers/net/wireless/ath/ath11k/testmode.c b/drivers/net/wireless/ath/ath11k/testmode.c
index 192ab29..10723e5 100644
--- a/drivers/net/wireless/ath/ath11k/testmode.c
+++ b/drivers/net/wireless/ath/ath11k/testmode.c
@@ -268,6 +268,13 @@ static int ath11k_tm_cmd_get_version(struct ath11k *ar, struct nlattr *tb[])
 		return ret;
 	}
 
+	ret = nla_put_u32(skb, ATH11K_TM_ATTR_WMI_OP_VERSION,
+			  ATH11K_FW_WMI_OP_VERSION_TLV);
+	if (ret) {
+		kfree_skb(skb);
+		return ret;
+	}
+
 	return cfg80211_testmode_reply(skb);
 }
 
diff --git a/drivers/net/wireless/ath/ath11k/testmode_i.h b/drivers/net/wireless/ath/ath11k/testmode_i.h
index d92b5f8..2a68428 100644
--- a/drivers/net/wireless/ath/ath11k/testmode_i.h
+++ b/drivers/net/wireless/ath/ath11k/testmode_i.h
@@ -12,6 +12,7 @@
  * addition of a new command or an attribute.
  */
 #define ATH11K_TESTMODE_VERSION_MINOR 0
+#define ATH11K_FW_WMI_OP_VERSION_TLV 4
 
 #define ATH11K_TM_DATA_MAX_LEN		5000
 #define ATH11K_FTM_EVENT_MAX_BUF_LENGTH 2048
-- 
2.7.4

